## org.apache.cassandra.streaming
Class StreamHeader

    java.lang.Object
      org.apache.cassandra.streaming.StreamHeader

    public class StreamHeader

extends java.lang.Object

Field Summary
`PendingFile` `file` file being sent on initial stream
`java.util.Collection<PendingFile>` `pendingFiles` files to add to the session
`long` `sessionId` session is tuple of (host, sessionid)
`static int` `STREAM_IN_SOURCE_FLAG`
`static int` `STREAM_OUT_SOURCE_FLAG`
`java.lang.String` `table`

Constructor Summary
`StreamHeader(java.lang.String table, long sessionId, PendingFile file)`
`StreamHeader(java.lang.String table, long sessionId, PendingFile first, java.util.Collection<PendingFile> pendingFiles)`

Method Summary
`static IVersionedSerializer<StreamHeader>` `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STREAM_IN_SOURCE_FLAG

    public static final int STREAM_IN_SOURCE_FLAG

See Also:
  Constant Field Values

### STREAM_OUT_SOURCE_FLAG

    public static final int STREAM_OUT_SOURCE_FLAG

See Also:
  Constant Field Values

### table

    public final java.lang.String table

### file

    public final PendingFile file

  file being sent on initial stream

### sessionId

    public final long sessionId

  session is tuple of (host, sessionid)

### pendingFiles

    public final java.util.Collection<PendingFile> pendingFiles

  files to add to the session

Constructor Detail

### StreamHeader

    public StreamHeader(java.lang.String table,
                        long sessionId,
                        PendingFile file)

### StreamHeader

    public StreamHeader(java.lang.String table,
                        long sessionId,
                        PendingFile first,
                        java.util.Collection<PendingFile> pendingFiles)

Method Detail

### serializer

    public static IVersionedSerializer<StreamHeader> serializer()

Copyright © 2012 The Apache Software Foundation